org.springframework.cloud.dataflow.server.config

## Class VersionInfoProperties

- java.lang.Object
- - org.springframework.cloud.dataflow.server.config.VersionInfoProperties

-     @ConfigurationProperties(prefix="spring.cloud.dataflow.version-info")
      public class VersionInfoProperties
      extends Object

  Properties for version information of core dependencies.
  Author:
    Gunnar Hillert, Glenn Renfro

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `VersionInfoProperties.Dependencies` The dependencies that will be returned by the about controller.
    `static class` | `VersionInfoProperties.DependencyAboutInfo` Information about the dependency.
    `static class` | `VersionInfoProperties.DependencyStatus` Represents whether dependency information should be returned as a part of the about result set.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `VERSION_INFO_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VersionInfoProperties()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `VersionInfoProperties.Dependencies` | `getDependencies()`
    `VersionInfoProperties.DependencyStatus` | `getDependencyFetch()`
    `void` | `setDependencies(VersionInfoProperties.Dependencies dependencies)` Establishes the `VersionInfoProperties.Dependencies` instance that contains information about the dependencies.
    `void` | `setDependencyFetch(VersionInfoProperties.DependencyStatus dependencyFetch)` Establish whether checksum information should be returned.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VERSION_INFO_PREFIX

          public static final String VERSION_INFO_PREFIX

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### VersionInfoProperties

          public VersionInfoProperties()

  - ### Method Detail

    - #### getDependencyFetch

          public VersionInfoProperties.DependencyStatus getDependencyFetch()

      Returns:
        instance of a `VersionInfoProperties.DependencyStatus` that determines if checksum information should be returned.

    - #### setDependencyFetch

          public void setDependencyFetch(VersionInfoProperties.DependencyStatus dependencyFetch)

      Establish whether checksum information should be returned.
      Parameters:
        `dependencyFetch` - instance of `VersionInfoProperties.DependencyStatus`

    - #### getDependencies

          public VersionInfoProperties.Dependencies getDependencies()

      Returns:
        an instance of `VersionInfoProperties.Dependencies` containing about information about dependencies.

    - #### setDependencies

          public void setDependencies(VersionInfoProperties.Dependencies dependencies)

      Establishes the `VersionInfoProperties.Dependencies` instance that contains information about the dependencies.
      Parameters:
        `dependencies` - instance of `VersionInfoProperties.Dependencies`

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.